load dcden.times;
load qrden.times;
load bsden.times;
load trden.times;
load mmden.times;
load dcdend.errs;
load dcdenq.errs;
load qrdend.errs;
load qrdenq.errs;
load bsdend.errs;
load bsdenq.errs;
load trdenq.errs;
normalizer = dcden(:,2);
plot(dcden(:,1), dcden(:,2)./normalizer, '-', ...
     qrden(:,1), qrden(:,2)./normalizer, '--', ...
     bsden(:,1), bsden(:,2)./normalizer, '-.');
hold on;
plot(dcden(:,1), dcden(:,2)./normalizer, '.', ...
     qrden(:,1), qrden(:,2)./normalizer, 'x', ...
     bsden(:,1), bsden(:,2)./normalizer, '+');
hold off; grid;
title('Dense matrices, x = time(EQR)/time(EDC), + = time(EBZ)/time(EDC)');
ylabel('Timings wrt EDC=1');
xlabel('matrix size');
disp('pause (hit return to continue)'), pause;
semilogy(dcdend(:,1), dcdend(:,2), '-', ...
	 qrdend(:,1), qrdend(:,2), '--', ...
	 bsdend(:,1), bsdend(:,2), '-.');
hold on;
semilogy(dcdend(:,1), dcdend(:,2), 'o', ...
         qrdend(:,1), qrdend(:,2), 'x', ...
	 bsdend(:,1), bsdend(:,2), '+');
hold off; grid;
title('Dense matrices, norm(AX-XD)/norm(A),  o=EDC, x=EQR, +=EBZ');
xlabel('matrix size');
ylabel('* macheps');
disp('pause (hit return to continue)'), pause;
semilogy(dcdenq(:,1), dcdenq(:,2), '-', ...
	 qrdenq(:,1), qrdenq(:,2), '--', ...
	 bsdenq(:,1), bsdenq(:,2), '-.', ...
	 trdenq(:,1), trdenq(:,2), ':');
hold on;
semilogy(dcdenq(:,1), dcdenq(:,2), 'o', ...
	 qrdenq(:,1), qrdenq(:,2), 'x', ...
	 bsdenq(:,1), bsdenq(:,2), '+', ...
	 trdenq(:,1), trdenq(:,2), '*');
hold off; grid;
title('Dense matrices, norm(I-XX^T), o=EDC, x=EQR, +=EBZ, *=TRD');
xlabel('matrix size');
ylabel('* macheps');
