load dcm3t.times;
load qrm3t.times;
load bsm3t.times;
load dcm3td.errs;
load dcm3tq.errs;
load qrm3td.errs;
load qrm3tq.errs;
load bsm3td.errs;
load bsm3tq.errs;
plot(dcm3t(:,1), ones(length(dcm3t(:,2))), '-', qrm3t(:,1), qrm3t(:,2)./dcm3t(:,2), '--', bsm3t(:,1), bsm3t(:,2)./dcm3t(:,2), '-.');
hold on;
plot(qrm3t(:,1), qrm3t(:,2)./dcm3t(:,2), 'x', bsm3t(:,1), bsm3t(:,2)./dcm3t(:,2), '+');
hold off; grid;
title('Tridiag(mode 3) matrices, x = time(EQR)/time(EDC), + = time(EBZ)/time(EDC)');
ylabel('Timings wrt EDC=1');
xlabel('matrix size');
disp('pause (hit return to continue)'), pause;
semilogy(dcm3td(:,1),dcm3td(:,2),'-', qrm3td(:,1),qrm3td(:,2),'--', bsm3td(:,1),bsm3td(:,2),'-.');
hold on;
semilogy(dcm3td(:,1), dcm3td(:,2), 'o', qrm3td(:,1), qrm3td(:,2), 'x', bsm3td(:,1), bsm3td(:,2), '+');
hold off; grid;
title('Tridiag(mode 3) matrices, norm(AX-XD)/norm(A),  o=EDC, x=EQR, +=EBZ');
xlabel('matrix size');
ylabel('* macheps');
disp('pause (hit return to continue)'), pause;
semilogy(dcm3tq(:,1),dcm3tq(:,2),'-', qrm3tq(:,1),qrm3tq(:,2),'--', bsm3tq(:,1),bsm3tq(:,2),'-.');
hold on;
semilogy(dcm3tq(:,1), dcm3tq(:,2), 'o', qrm3tq(:,1), qrm3tq(:,2), 'x', bsm3tq(:,1), bsm3tq(:,2), '+');
hold off; grid;
title('Tridiag(mode 3) matrices, norm(I-XX^T), o=EDC, x=EQR, +=EBZ');
xlabel('matrix size');
ylabel('* macheps');
