load dcm4t.times;
load qrm4t.times;
load bsm4t.times;
load dcm4td.errs;
load dcm4tq.errs;
load qrm4td.errs;
load qrm4tq.errs;
load bsm4td.errs;
load bsm4tq.errs;
plot(dcm4t(:,1), ones(length(dcm4t(:,2))), '-', qrm4t(:,1), qrm4t(:,2)./dcm4t(:,2), '--', bsm4t(:,1), bsm4t(:,2)./dcm4t(:,2), '-.');
hold on;
plot(qrm4t(:,1), qrm4t(:,2)./dcm4t(:,2), 'x', bsm4t(:,1), bsm4t(:,2)./dcm4t(:,2), '+');
hold off; grid;
title('Tridiag(mode 4) matrices, x = time(EQR)/time(EDC), + = time(EBZ)/time(EDC)');
ylabel('Timings wrt EDC=1');
xlabel('matrix size');
disp('pause (hit return to continue)'), pause;
semilogy(dcm4td(:,1),dcm4td(:,2),'-', qrm4td(:,1),qrm4td(:,2),'--', bsm4td(:,1),bsm4td(:,2),'-.');
hold on;
semilogy(dcm4td(:,1), dcm4td(:,2), 'o', qrm4td(:,1), qrm4td(:,2), 'x', bsm4td(:,1), bsm4td(:,2), '+');
hold off; grid;
title('Tridiag(mode 4) matrices, norm(AX-XD)/norm(A),  o=EDC, x=EQR, +=EBZ');
xlabel('matrix size');
ylabel('* macheps');
disp('pause (hit return to continue)'), pause;
semilogy(dcm4tq(:,1),dcm4tq(:,2),'-', qrm4tq(:,1),qrm4tq(:,2),'--', bsm4tq(:,1),bsm4tq(:,2),'-.');
hold on;
semilogy(dcm4tq(:,1), dcm4tq(:,2), 'o', qrm4tq(:,1), qrm4tq(:,2), 'x', bsm4tq(:,1), bsm4tq(:,2), '+');
hold off; grid;
title('Tridiag(mode 4) matrices, norm(I-XX^T), o=EDC, x=EQR, +=EBZ');
xlabel('matrix size');
ylabel('* macheps');
