load dcm5d.times;
load qrm5d.times;
load bsm5d.times;
load trm5d.times;
%load mmm5d.times;
load dcm5dd.errs;
load dcm5dq.errs;
load qrm5dd.errs;
load qrm5dq.errs;
load bsm5dd.errs;
load bsm5dq.errs;
load trm5dq.errs;
plot(dcm5d(:,1), ones(length(dcm5d(:,2))), '-', qrm5d(:,1), qrm5d(:,2)./dcm5d(:,2), '--', bsm5d(:,1), bsm5d(:,2)./dcm5d(:,2), '-.');
hold on;
plot(qrm5d(:,1), qrm5d(:,2)./dcm5d(:,2), 'x', bsm5d(:,1), bsm5d(:,2)./dcm5d(:,2), '+');
hold off; grid;
title('Dense(mode 5) matrices, x = time(EQR)/time(EDC), + = time(EBZ)/time(EDC)');
ylabel('Timings wrt EDC=1');
xlabel('matrix size');
disp('pause (hit return to continue)'), pause;
semilogy(dcm5dd(:,1), dcm5dd(:,2), '-', qrm5dd(:,1), qrm5dd(:,2), '--', bsm5dd(:,1), bsm5dd(:,2), '-.');
hold on;
semilogy(dcm5dd(:,1), dcm5dd(:,2), 'o', qrm5dd(:,1), qrm5dd(:,2), 'x', bsm5dd(:,1), bsm5dd(:,2), '+');
hold off; grid;
title('Dense(mode 5) matrices, norm(AX-XD)/norm(A),  o=EDC, x=EQR, +=EBZ');
xlabel('matrix size');
ylabel('* macheps');
disp('pause (hit return to continue)'), pause;
semilogy(dcm5dq(:,1), dcm5dq(:,2), '-', qrm5dq(:,1), qrm5dq(:,2), '--', bsm5dq(:,1), bsm5dq(:,2), '-.', trm5dq(:,1), trm5dq(:,2), ':');
hold on;
semilogy(dcm5dq(:,1), dcm5dq(:,2), 'o', qrm5dq(:,1), qrm5dq(:,2), 'x', bsm5dq(:,1), bsm5dq(:,2), '+', trm5dq(:,1), trm5dq(:,2), '*');
hold off; grid;
title('Dense(mode 5) matrices, norm(I-XX^T), o=EDC, x=EQR, +=EBZ, *=TRD');
xlabel('matrix size');
ylabel('* macheps');
