load dctri.times;
load qrtri.times;
load bstri.times;
load dctrid.errs;
load dctriq.errs;
load qrtrid.errs;
load qrtriq.errs;
load bstrid.errs;
load bstriq.errs;
plot(dctri(:,1), ones(length(dctri(:,2))), '-', qrtri(:,1), qrtri(:,2)./dctri(:,2), '--', bstri(:,1), bstri(:,2)./dctri(:,2), '-.');
hold on;
plot(qrtri(:,1), qrtri(:,2)./dctri(:,2), 'x', bstri(:,1), bstri(:,2)./dctri(:,2), '+');
hold off; grid;
title('Tridiag matrices, x = time(EQR)/time(EDC), + = time(EBZ)/time(EDC)');
ylabel('Timings wrt EDC=1');
xlabel('matrix size');
disp('pause (hit return to continue)'), pause;
semilogy(dctrid(:,1),dctrid(:,2),'-', qrtrid(:,1),qrtrid(:,2),'--', bstrid(:,1),bstrid(:,2),'-.');
hold on;
semilogy(dctrid(:,1), dctrid(:,2), 'o', qrtrid(:,1), qrtrid(:,2), 'x', bstrid(:,1), bstrid(:,2), '+');
hold off; grid;
title('Tridiag matrices, norm(AX-XD)/norm(A),  o=EDC, x=EQR, +=EBZ');
xlabel('matrix size');
ylabel('* macheps');
disp('pause (hit return to continue)'), pause;
semilogy(dctriq(:,1),dctriq(:,2),'-', qrtriq(:,1),qrtriq(:,2),'--', bstriq(:,1),bstriq(:,2),'-.');
hold on;
semilogy(dctriq(:,1), dctriq(:,2), 'o', qrtriq(:,1), qrtriq(:,2), 'x', bstriq(:,1), bstriq(:,2), '+');
hold off; grid;
title('Tridiag matrices, norm(I-XX^T), o=EDC, x=EQR, +=EBZ');
xlabel('matrix size');
ylabel('* macheps');
