load dcwil.times;
load qrwil.times;
load bswil.times;
load dcwild.errs;
load dcwilq.errs;
load qrwild.errs;
load qrwilq.errs;
load bswild.errs;
load bswilq.errs;
plot(dcwil(:,1), ones(length(dcwil(:,2))), '-', qrwil(:,1), qrwil(:,2)./dcwil(:,2), '--', bswil(:,1), bswil(:,2)./dcwil(:,2), '-.');
hold on;
plot(qrwil(:,1), qrwil(:,2)./dcwil(:,2), 'x', bswil(:,1), bswil(:,2)./dcwil(:,2), '+');
hold off; grid;
title('Glued Wilkinson matrices, x = time(EQR)/time(EDC), + = time(EBZ)/time(EDC)');
ylabel('Timings wrt EDC=1');
xlabel('matrix size');
disp('pause (hit return to continue)'), pause;
semilogy(dcwild(:,1),dcwild(:,2),'-', qrwild(:,1),qrwild(:,2),'--', bswild(:,1),bswild(:,2),'-.');
hold on;
semilogy(dcwild(:,1), dcwild(:,2), 'o', qrwild(:,1), qrwild(:,2), 'x', bswild(:,1), bswild(:,2), '+');
hold off; grid;
title('Glued Wilkinson matrices, norm(AX-XD)/norm(A),  o=EDC, x=EQR, +=EBZ');
xlabel('matrix size');
ylabel('* macheps');
disp('pause (hit return to continue)'), pause;
semilogy(dcwilq(:,1),dcwilq(:,2),'-', qrwilq(:,1),qrwilq(:,2),'--', bswilq(:,1),bswilq(:,2),'-.');
hold on;
semilogy(dcwilq(:,1), dcwilq(:,2), 'o', qrwilq(:,1), qrwilq(:,2), 'x', bswilq(:,1), bswilq(:,2), '+');
hold off; grid;
title('Glued Wilkinson matrices, norm(I-XX^T), o=EDC, x=EQR, +=EBZ');
xlabel('matrix size');
ylabel('* macheps');
