load dcBCS.times;
load qrBCS.times;
load bsBCS.times;
load dcBCSd.errs;
load dcBCSq.errs;
load qrBCSd.errs;
load qrBCSq.errs;
load bsBCSd.errs;
load bsBCSq.errs;
plot(dcBCS(:,1), ones(length(dcBCS(:,2))), '-', qrBCS(:,1), qrBCS(:,2)./dcBCS(:,2), '--', bsBCS(:,1), bsBCS(:,2)./dcBCS(:,2), '-.');
hold on;
plot(qrBCS(:,1), qrBCS(:,2)./dcBCS(:,2), 'x', bsBCS(:,1), bsBCS(:,2)./dcBCS(:,2), '+');
hold off; grid;
title('BCSST08 matrix, x = time(EQR)/time(EDC), + = time(EBZ)/time(EDC)');
ylabel('Timings wrt EDC=1');
xlabel('matrix size');
disp('pause (hit return to continue)'), pause;
semilogy(dcBCSd(:,1),dcBCSd(:,2),'-', qrBCSd(:,1),qrBCSd(:,2),'--', bsBCSd(:,1),bsBCSd(:,2),'-.');
hold on;
semilogy(dcBCSd(:,1), dcBCSd(:,2), 'o', qrBCSd(:,1), qrBCSd(:,2), 'x', bsBCSd(:,1), bsBCSd(:,2), '+');
hold off; grid;
title('BCSST08 matrix, norm(AX-XD)/norm(A),  o=EDC, x=EQR, +=EBZ');
xlabel('matrix size');
ylabel('* macheps');
disp('pause (hit return to continue)'), pause;
semilogy(dcBCSq(:,1),dcBCSq(:,2),'-', qrBCSq(:,1),qrBCSq(:,2),'--', bsBCSq(:,1),bsBCSq(:,2),'-.');
hold on;
semilogy(dcBCSq(:,1), dcBCSq(:,2), 'o', qrBCSq(:,1), qrBCSq(:,2), 'x', bsBCSq(:,1), bsBCSq(:,2), '+');
hold off; grid;
title('BCSST08 matrix, norm(I-XX^T), o=EDC, x=EQR, +=EBZ');
xlabel('matrix size');
ylabel('* macheps');
