load dcLUN.times;
load qrLUN.times;
load bsLUN.times;
load dcLUNd.errs;
load dcLUNq.errs;
load qrLUNd.errs;
load qrLUNq.errs;
load bsLUNd.errs;
load bsLUNq.errs;
plot(dcLUN(:,1), ones(length(dcLUN(:,2))), '-', qrLUN(:,1), qrLUN(:,2)./dcLUN(:,2), '--', bsLUN(:,1), bsLUN(:,2)./dcLUN(:,2), '-.');
hold on;
plot(qrLUN(:,1), qrLUN(:,2)./dcLUN(:,2), 'x', bsLUN(:,1), bsLUN(:,2)./dcLUN(:,2), '+');
hold off; grid;
title('LUND matrix, x = time(EQR)/time(EDC), + = time(EBZ)/time(EDC)');
ylabel('Timings wrt EDC=1');
xlabel('matrix size');
disp('pause (hit return to continue)'), pause;
semilogy(dcLUNd(:,1),dcLUNd(:,2),'-', qrLUNd(:,1),qrLUNd(:,2),'--', bsLUNd(:,1),bsLUNd(:,2),'-.');
hold on;
semilogy(dcLUNd(:,1), dcLUNd(:,2), 'o', qrLUNd(:,1), qrLUNd(:,2), 'x', bsLUNd(:,1), bsLUNd(:,2), '+');
hold off; grid;
title('LUND matrix, norm(AX-XD)/norm(A),  o=EDC, x=EQR, +=EBZ');
xlabel('matrix size');
ylabel('* macheps');
disp('pause (hit return to continue)'), pause;
semilogy(dcLUNq(:,1),dcLUNq(:,2),'-', qrLUNq(:,1),qrLUNq(:,2),'--', bsLUNq(:,1),bsLUNq(:,2),'-.');
hold on;
semilogy(dcLUNq(:,1), dcLUNq(:,2), 'o', qrLUNq(:,1), qrLUNq(:,2), 'x', bsLUNq(:,1), bsLUNq(:,2), '+');
hold off; grid;
title('LUND matrix, norm(I-XX^T), o=EDC, x=EQR, +=EBZ');
xlabel('matrix size');
ylabel('* macheps');
