load dc121.times;
load qr121.times;
load bs121.times;
load dc121d.errs;
load dc121q.errs;
load qr121d.errs;
load qr121q.errs;
load bs121d.errs;
load bs121q.errs;
plot(dc121(:,1), ones(length(dc121(:,2))), '-', qr121(:,1), qr121(:,2)./dc121(:,2), '--', bs121(:,1), bs121(:,2)./dc121(:,2), '-.');
hold on;
plot(qr121(:,1), qr121(:,2)./dc121(:,2), 'x', bs121(:,1), bs121(:,2)./dc121(:,2), '+');
hold off; grid;
title('Tridiag(1,2,1) matrices, x = time(EQR)/time(EDC), + = time(EBZ)/time(EDC)');
ylabel('Timings wrt EDC=1');
xlabel('matrix size');
disp('pause (hit return to continue)'), pause;
semilogy(dc121d(:,1),dc121d(:,2),'-', qr121d(:,1),qr121d(:,2),'--', bs121d(:,1),bs121d(:,2),'-.');
hold on;
semilogy(dc121d(:,1), dc121d(:,2), 'o', qr121d(:,1), qr121d(:,2), 'x', bs121d(:,1), bs121d(:,2), '+');
hold off; grid;
title('Tridiag(1,2,1) matrices, norm(AX-XD)/norm(A),  o=EDC, x=EQR, +=EBZ');
xlabel('matrix size');
ylabel('* macheps');
disp('pause (hit return to continue)'), pause;
semilogy(dc121q(:,1),dc121q(:,2),'-', qr121q(:,1),qr121q(:,2),'--', bs121q(:,1),bs121q(:,2),'-.');
hold on;
semilogy(dc121q(:,1), dc121q(:,2), 'o', qr121q(:,1), qr121q(:,2), 'x', bs121q(:,1), bs121q(:,2), '+');
hold off; grid;
title('Tridiag(1,2,1) matrices, norm(I-XX^T), o=EDC, x=EQR, +=EBZ');
xlabel('matrix size');
ylabel('* macheps');
