load dcm3d.times;
load qrm3d.times;
load bsm3d.times;
load trm3d.times;
%load mmm3d.times;
load dcm3dd.errs;
load dcm3dq.errs;
load qrm3dd.errs;
load qrm3dq.errs;
load bsm3dd.errs;
load bsm3dq.errs;
load trm3dq.errs;
plot(dcm3d(:,1), ones(length(dcm3d(:,2))), '-', qrm3d(:,1), qrm3d(:,2)./dcm3d(:,2), '--', bsm3d(:,1), bsm3d(:,2)./dcm3d(:,2), '-.');
hold on;
plot(qrm3d(:,1), qrm3d(:,2)./dcm3d(:,2), 'x', bsm3d(:,1), bsm3d(:,2)./dcm3d(:,2), '+');
hold off; grid;
title('Dense(mode 3) matrices, x = time(EQR)/time(EDC), + = time(EBZ)/time(EDC)');
ylabel('Timings wrt EDC=1');
xlabel('matrix size');
disp('pause (hit return to continue)'), pause;
semilogy(dcm3dd(:,1), dcm3dd(:,2), '-', qrm3dd(:,1), qrm3dd(:,2), '--', bsm3dd(:,1), bsm3dd(:,2), '-.');
hold on;
semilogy(dcm3dd(:,1), dcm3dd(:,2), 'o', qrm3dd(:,1), qrm3dd(:,2), 'x', bsm3dd(:,1), bsm3dd(:,2), '+');
hold off; grid;
title('Dense(mode 3) matrices, norm(AX-XD)/norm(A),  o=EDC, x=EQR, +=EBZ');
xlabel('matrix size');
ylabel('* macheps');
disp('pause (hit return to continue)'), pause;
semilogy(dcm3dq(:,1), dcm3dq(:,2), '-', qrm3dq(:,1), qrm3dq(:,2), '--', bsm3dq(:,1), bsm3dq(:,2), '-.', trm3dq(:,1), trm3dq(:,2), ':');
hold on;
semilogy(dcm3dq(:,1), dcm3dq(:,2), 'o', qrm3dq(:,1), qrm3dq(:,2), 'x', bsm3dq(:,1), bsm3dq(:,2), '+', trm3dq(:,1), trm3dq(:,2), '*');
hold off; grid;
title('Dense(mode 3) matrices, norm(I-XX^T), o=EDC, x=EQR, +=EBZ, *=TRD');
xlabel('matrix size');
ylabel('* macheps');
