load dcm4d.times;
load qrm4d.times;
load bsm4d.times;
load trm4d.times;
%load mmm4d.times;
load dcm4dd.errs;
load dcm4dq.errs;
load qrm4dd.errs;
load qrm4dq.errs;
load bsm4dd.errs;
load bsm4dq.errs;
load trm4dq.errs;
plot(dcm4d(:,1), ones(length(dcm4d(:,2))), '-', qrm4d(:,1), qrm4d(:,2)./dcm4d(:,2), '--', bsm4d(:,1), bsm4d(:,2)./dcm4d(:,2), '-.');
hold on;
plot(qrm4d(:,1), qrm4d(:,2)./dcm4d(:,2), 'x', bsm4d(:,1), bsm4d(:,2)./dcm4d(:,2), '+');
hold off; grid;
title('Dense(mode 4) matrices, x = time(EQR)/time(EDC), + = time(EBZ)/time(EDC)');
ylabel('Timings wrt EDC=1');
xlabel('matrix size');
disp('pause (hit return to continue)'), pause;
semilogy(dcm4dd(:,1), dcm4dd(:,2), '-', qrm4dd(:,1), qrm4dd(:,2), '--', bsm4dd(:,1), bsm4dd(:,2), '-.');
hold on;
semilogy(dcm4dd(:,1), dcm4dd(:,2), 'o', qrm4dd(:,1), qrm4dd(:,2), 'x', bsm4dd(:,1), bsm4dd(:,2), '+');
hold off; grid;
title('Dense(mode 4) matrices, norm(AX-XD)/norm(A),  o=EDC, x=EQR, +=EBZ');
xlabel('matrix size');
ylabel('* macheps');
disp('pause (hit return to continue)'), pause;
semilogy(dcm4dq(:,1), dcm4dq(:,2), '-', qrm4dq(:,1), qrm4dq(:,2), '--', bsm4dq(:,1), bsm4dq(:,2), '-.', trm4dq(:,1), trm4dq(:,2), ':');
hold on;
semilogy(dcm4dq(:,1), dcm4dq(:,2), 'o', qrm4dq(:,1), qrm4dq(:,2), 'x', bsm4dq(:,1), bsm4dq(:,2), '+', trm4dq(:,1), trm4dq(:,2), '*');
hold off; grid;
title('Dense(mode 4) matrices, norm(I-XX^T), o=EDC, x=EQR, +=EBZ, *=TRD');
xlabel('matrix size');
ylabel('* macheps');
