load dcm5t.times;
load qrm5t.times;
load bsm5t.times;
load dcm5td.errs;
load dcm5tq.errs;
load qrm5td.errs;
load qrm5tq.errs;
load bsm5td.errs;
load bsm5tq.errs;
plot(dcm5t(:,1), ones(length(dcm5t(:,2))), '-', qrm5t(:,1), qrm5t(:,2)./dcm5t(:,2), '--', bsm5t(:,1), bsm5t(:,2)./dcm5t(:,2), '-.');
hold on;
plot(qrm5t(:,1), qrm5t(:,2)./dcm5t(:,2), 'x', bsm5t(:,1), bsm5t(:,2)./dcm5t(:,2), '+');
hold off; grid;
title('Tridiag(mode 5) matrices, x = time(EQR)/time(EDC), + = time(EBZ)/time(EDC)');
ylabel('Timings wrt EDC=1');
xlabel('matrix size');
disp('pause (hit return to continue)'), pause;
semilogy(dcm5td(:,1),dcm5td(:,2),'-', qrm5td(:,1),qrm5td(:,2),'--', bsm5td(:,1),bsm5td(:,2),'-.');
hold on;
semilogy(dcm5td(:,1), dcm5td(:,2), 'o', qrm5td(:,1), qrm5td(:,2), 'x', bsm5td(:,1), bsm5td(:,2), '+');
hold off; grid;
title('Tridiag(mode 5) matrices, norm(AX-XD)/norm(A),  o=EDC, x=EQR, +=EBZ');
xlabel('matrix size');
ylabel('* macheps');
disp('pause (hit return to continue)'), pause;
semilogy(dcm5tq(:,1),dcm5tq(:,2),'-', qrm5tq(:,1),qrm5tq(:,2),'--', bsm5tq(:,1),bsm5tq(:,2),'-.');
hold on;
semilogy(dcm5tq(:,1), dcm5tq(:,2), 'o', qrm5tq(:,1), qrm5tq(:,2), 'x', bsm5tq(:,1), bsm5tq(:,2), '+');
hold off; grid;
title('Tridiag(mode 5) matrices, norm(I-XX^T), o=EDC, x=EQR, +=EBZ');
xlabel('matrix size');
ylabel('* macheps');
